Okay
  Public Ticket #3591671
activation of purchased license for Layer Slider in theme bundle
Closed

Comments

  • Nan started the conversation

    Layer Slider has apparently been a bundled feature of the Enfold theme we have- Version: 4.7.4 by Kriesi. I never used Layer Slider before, it was never activated.  I want to renovate this website, so I figured I would purchase the license to have access to all the Layer Slider features. I got the License key via email from Kreatura, and when I entered it in, the response read "Thank you for purchasing LayerSlider! Your site is activated to receive automatic updates and to access all premium content & features."  However when I went to try a build a new slider, I get a message that:

    "There has been a critical error on this website. Please check your site admin email inbox for instructions."  

    The message gave me this information: 

    //
    WordPress version 6.4.3
    Active theme: Enfold (version 4.7.4)
    Current plugin:  (version )
    PHP version 8.0.30


    The page where the error was caught was:  

    wp-admin/admin.php?page=layerslider&action=edit&id=1&showsettings=1

    Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 2161 of the file
    /home1/ncjustic/public_html/everychildnc/wp-content/themes/enfold/config-layerslider/LayerSlider/helpers/phpQuery.php.
    Error message: Array and string offset access syntax with curly braces
    is no longer supported.

    //

    I deactivated Layer Slider and now I need to know what to do, either give me a way this will work or refund my $.

  •  70
    John replied

    Hi Nan,

    Thank you for getting in touch with us. My name is John, and I'm happy to assist you today. I appreciate your patience while we've been working toward your ticket.

    You likely have a very old and outdated version of LayerSlider bundled with your theme. It must be a version from years ago when PHP 8 didn't exist, so we had no way to support it. 

    This issue can be easily fixed by installing an up-to-date version of LayerSlider. Normally, it would be enough to enter the license key, even if you received LayerSlider with a WordPress theme. However, Enfold is the only one of the big-name themes that bundle plugins in a non-standard way where you need to reinstall the plugin to receive updates automatically.

    Please log in to your account with the email address used for the purchase to download the latest official release (v7.9.10). Then, you can proceed with installing LayerSlider as you'd normally do. Enfold should automatically detect the presence of the official release and should turn off the bundled version. This should solve the issue you're experiencing, and once it's done, you'll automatically receive future releases without the need to install anything manually.

    Please let me know if I can help you with anything else - if not, I wish you a fantastic rest of the week.

    Best Regards,
    John | Kreatura Dev Team

  • Nan replied

    I knew my Layer Slider was super old, but I did not recognize the particuar issue with the Enfold bundle. I had looked at Enfold's troubleshooting forum, but nobody described the same error message as far as I could tell. I try to read as much as I can to understand the problem before I bother the technical experts, but my knowledge is so limited. And I have made progress! I have managed to upload the Layer Slider files. At first I was worried about being able to install the plug-in at all ( I don't have access to the Wordpress files -- via FTP or whatever else). But then I remembered you can upload plug-in files in the "add plug-in" section. (And I acknowledge this option is in your instructions too, but my brain works slowly). Now with the new Layer Slider activated I can see the main interface, so I hope all is well.  At any rate, it is not going to the previous "bad" place/dead end where it went before when the old version was active. I will start with the tutorial and then see if any errors arise as I start using it.  Thank you so much for solving this issue. It's such a heartbreaker to buy a new product and have it immediately crash the site - even though I know it's impossible to prevent that on your end for every user and theme. I appreciate your quick answer and instructions. 

  •  70
    John replied

    Thank you for the feedback; I really appreciate your kind words! We understand how frustrating it can be to purchase a new product that doesn't work as it should. Thankfully, it seems the issue is now resolved, and I'm glad I was able to help.

    Best Regards,
    John | Kreatura Dev Team